com.ihr.xbrl.om.errors

## Class XBRLInconsistencyRoundToPrecision0

- java.lang.Object
- - com.ihr.xbrl.om.errors.XBRLInconsistency
  - - com.ihr.xbrl.om.errors.XBRLInconsistencyRoundToPrecision0

-     public class XBRLInconsistencyRoundToPrecision0
      extends XBRLInconsistency

  The Class XBRLInconsistencyRoundToPrecision0.
  Author:
    Ignacio

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency

      `XBRLInconsistency.Contributor`

  - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency

      `ASSERTION_EVALUATION_FAILED, CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO, CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH, CALCULATION_MISTMATCH, CALCULATION_RULE_SKIPPED_BY_DUPLICATE, DTS_DISCOVERY_FILE_NAME_DIFFERS, FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION, FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION, FORMULA_INCONSISTENCY_ON_XFI_FUNCION, NUMBER_ROUNDED_TO_PRECISION_ZERO, URI_IS_NOT_ABSOLUTE, UTR_INCONSISTENCY, XML_WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLInconsistencyRoundToPrecision0(XBRLFactNumeric fact)` Instantiates a new XBRL inconsistency round to precision0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLFactNumeric` | `getFact()` Gets the fact.

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLInconsistency

      `equals, getCode, getLocalizedMessage, getMessage, hashCode`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLInconsistencyRoundToPrecision0

          public XBRLInconsistencyRoundToPrecision0(XBRLFactNumeric fact)

      Instantiates a new XBRL inconsistency round to precision0.
      Parameters:
        `fact` - the fact

  - ### Method Detail

    - #### getFact

          public XBRLFactNumeric getFact()

      Gets the fact.
      Returns:
        the fact